Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs	(revision 16462)
@@ -23,12 +23,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("6FCBEAF5-62A1-48F9-B1A8-F81D4B15A4AE")]
   [Item("ComparisonConstraint", "A constraint which checks for specified compare operation.")]
   public class ComparisonConstraint : Constraint {
     [StorableConstructor]
-    protected ComparisonConstraint(bool deserializing) : base(deserializing) { }
+    protected ComparisonConstraint(StorableConstructorFlag _) : base(_) { }
     protected ComparisonConstraint(ComparisonConstraint original, Cloner cloner) : base(original, cloner) { }
     public ComparisonConstraint() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/Constraint.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/Constraint.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/Constraint.cs	(revision 16462)
@@ -24,11 +24,11 @@
 using System.Linq;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("02F8AFE2-BF67-4378-9E38-B18FF4D63609")]
   public abstract class Constraint : Item, IConstraint {
     [StorableConstructor]
-    protected Constraint(bool deserializing) : base(deserializing) { }
+    protected Constraint(StorableConstructorFlag _) : base(_) { }
     protected Constraint(Constraint original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs	(revision 16462)
@@ -20,7 +20,7 @@
 #endregion
 
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("8518F185-8222-414D-8AAF-0273D7B09A0E")]
   public class ConstraintOperation {
     public static readonly ConstraintOperation Equal = new ConstraintOperation(0, "Equal");
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected ConstraintOperation(bool deserializing) { }
+    protected ConstraintOperation(StorableConstructorFlag _) { }
     protected ConstraintOperation(int value, string name) {
       this.value = value;
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs	(revision 16462)
@@ -23,12 +23,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("9E83A84E-39A1-4DEB-90EB-DEB5A457D77D")]
   [Item("EqualityConstraint", "A constraint which checks for equality.")]
   public class EqualityConstraint : Constraint {
     [StorableConstructor]
-    protected EqualityConstraint(bool deserializing) : base(deserializing) { }
+    protected EqualityConstraint(StorableConstructorFlag _) : base(_) { }
     protected EqualityConstraint(EqualityConstraint original, Cloner cloner) : base(original, cloner) { }
     public EqualityConstraint() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs	(revision 16462)
@@ -23,12 +23,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("0BE7E71A-DA13-440F-83C3-0AD15C9E519D")]
   [Item("TypeCompatibilityConstraint", "A constraint that checks for compatible types.")]
   public class TypeCompatibilityConstraint : Constraint {
     [StorableConstructor]
-    protected TypeCompatibilityConstraint(bool deserializing) : base(deserializing) { }
+    protected TypeCompatibilityConstraint(StorableConstructorFlag _) : base(_) { }
     protected TypeCompatibilityConstraint(TypeCompatibilityConstraint original, Cloner cloner) : base(original, cloner) { }
     public TypeCompatibilityConstraint() : base() { }
